using System;
using System.Configuration;
using MicroMighty.SDK.Net.Types;

/// <summary>
/// Global variables that are common to the whole application
/// </summary>
public static class Globals
{
    #region Members

    public static bool EasyEmailSenderSMTPEnableSSL;
    public static int EasyEmailSenderSMTPPort;
    public static string EasyEmailSenderSMTPHost;
    public static string EasyEmailSenderSMTPUserName;
    public static string EasyEmailSenderSMTPPassword;

    #endregion Members

    static Globals()
    {
        LoadSMTPConfigurationVariables();
    }

    /// <summary>
    /// <para>Load variables from Web.Config</para>
    /// <para>(exceptions are disabled - this can be changed when implemented elsewhere)</para>
    /// </summary>
    private static void LoadSMTPConfigurationVariables()
    {
        try
        {
            EasyEmailSenderSMTPEnableSSL = Convert.ToBoolean(ConfigurationManager.AppSettings["EasyEmailSenderSMTPEnableSSL"].ToString());
        }
        catch
        {
            EasyEmailSenderSMTPEnableSSL = false;
        }

        try
        {
            EasyEmailSenderSMTPPort = Convert.ToInt32(ConfigurationManager.AppSettings["EasyEmailSenderSMTPPort"].ToString());
        }
        catch
        {
            EasyEmailSenderSMTPPort = 25; // Default
        }

        try
        {
            EasyEmailSenderSMTPHost = ConfigurationManager.AppSettings["EasyEmailSenderSMTPHost"].ToString();
        }
        catch
        {
            EasyEmailSenderSMTPHost = "";
            // throw new ApplicationException("EasyEmailSenderSMTPHost is not a available");
        }

        try
        {
            EasyEmailSenderSMTPUserName = ConfigurationManager.AppSettings["EasyEmailSenderSMTPUserName"].ToString();
        }
        catch
        {
            EasyEmailSenderSMTPUserName = "";
            // throw new ApplicationException("EasyEmailSenderSMTPUserName is not a available");
        }

        try
        {
            EasyEmailSenderSMTPPassword = ConfigurationManager.AppSettings["EasyEmailSenderSMTPPassword"].ToString();
        }
        catch
        {
            EasyEmailSenderSMTPPassword = "";
            // throw new ApplicationException("EasyEmailSenderSMTPPassword is not a available");
        }
    }
}
