' --------------------------------------------------------------------------------
' MicroMighty Software Development Kit (SDK)
' --------------------------------------------------------------------------------
' Copyright By MicroMighty, Inc. All Rights Reserved.
'
' You can use this SDK for personal use only, any commercial use or use for other 
' type of organization including non profit on a production server is not allowed.
'
' You may not publish, sell, re-distribute, rent, lease or re-license any content
' contained in this source code and/or DLLs and/or other components of the SDK 
' without an explicit written permission agreement signed by MicroMighty, Inc.
'
' MicroMighty, Inc. reserves the right to permanently cancel without any warnings
' neither refund a license that is suspected of being used illegitimately or that
' violates the EULA (http://MicroMighty.com/Components/MicroMighty_SDK/EULA)
' --------------------------------------------------------------------------------

Imports System
Imports System.Configuration
Imports System.Collections
Imports System.Collections.Generic
Imports System.Data
Imports System.Net.Mail
Imports System.Text
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.HtmlControls
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports MicroMighty.SDK.Net.Tools

Public Partial Class Demo_SendVB
	Inherits System.Web.UI.Page

    Protected Overloads Overrides Sub OnInit(ByVal e As EventArgs)
        MyBase.OnInit(e)

        LoadDefaultSMTPValues()

        ' Disable the button once its clicked to avoid clicking it more than once
        _buttonSend.Attributes.Add("onClick", "this.disabled=true; " + Page.ClientScript.GetPostBackEventReference(_buttonSend, Nothing) + "; " + "return(false);")
    End Sub

    Protected Sub _buttonSend_Click(ByVal sender As Object, ByVal e As EventArgs)
        Dim ees As New EasyEmailSender()

        ' Load the email object with the current SMTP variables (for testing)
        Try 
            ees.SMTPEnableSSL = Convert.ToBoolean(_textBoxSMTPEnableSSL.Text)
        Catch
            ees.SMTPEnableSSL = False
        End Try
        Try
            ees.SMTPPort = Convert.ToInt32(_textBoxSMTPPort.Text)
        Catch
            ees.SMTPPort = 25
        End Try
        ees.SMTPHost = _textBoxSMTPHost.Text
        ees.SMTPUserName = _textBoxSMTPUserName.Text
        ees.SMTPPassword = _textBoxSMTPPassword.Text

        ees.AddressFrom = New MailAddress(_textBoxFromEmail.Text, _textBoxFromName.Text, ees.AddressEncoding)
        ees.AddressReplyTo = ees.AddressFrom

        ' More email users can be copied using AddressesTo.Add, AddressesCC and the AddressesBCC properties
        ees.AddressesTo.Add(New MailAddress(_textBoxToEmail.Text, _textBoxToName.Text, ees.AddressEncoding))

        ees.Subject = _textBoxSubject.Text + " (Reference ID " + ees.ReferenceIDFriendly + ")"
        ees.Body = _textBoxMessage.Text.Replace(vbCr & vbLf, "<br />")
        ees.Priority = MailPriority.Normal

        If ees.Send() Then
            _sendResult.ForeColor = System.Drawing.Color.DarkGreen
            _sendResult.Text = "The email was sent successfully (Reference ID " + ees.ReferenceIDFriendly + ")"

            ClearFormFields()
        Else
            _sendResult.ForeColor = System.Drawing.Color.DarkRed
            _sendResult.Text = "Send failed - " + ees.ErrorMessage
        End If
    End Sub

    Protected Sub _buttonClear_Click(ByVal sender As Object, ByVal e As EventArgs)
        LoadDefaultSMTPValues()

        ClearFormFields()

        _sendResult.ForeColor = System.Drawing.Color.Gray
        _sendResult.Text = "N/A"
    End Sub

    ''' <summary>
    ''' Load default SMTP variables from Web.Config
    ''' </summary>
    Private Sub LoadDefaultSMTPValues()
        _textBoxSMTPEnableSSL.Text = Globals.EasyEmailSenderSMTPEnableSSL.ToString().ToLower()
        _textBoxSMTPPort.Text = Globals.EasyEmailSenderSMTPPort.ToString()
        _textBoxSMTPHost.Text = Globals.EasyEmailSenderSMTPHost
        _textBoxSMTPUserName.Text = Globals.EasyEmailSenderSMTPUserName
        _textBoxSMTPPassword.Text = Globals.EasyEmailSenderSMTPPassword
    End Sub

    ''' <summary>
    ''' Clear form fields
    ''' </summary>
    Private Sub ClearFormFields()
        _textBoxFromName.Text = ""
        _textBoxFromEmail.Text = ""
        _textBoxToName.Text = ""
        _textBoxToEmail.Text = ""
        _textBoxSubject.Text = ""
        _textBoxMessage.Text = ""
    End Sub

End Class
