// --------------------------------------------------------------------------------
// MicroMighty Software Development Kit (SDK)
// --------------------------------------------------------------------------------
// Copyright By MicroMighty, Inc. All Rights Reserved.
//
// You can use this SDK for personal use only, any commercial use or use for other 
// type of organization including non profit on a production server is not allowed.
//
// You may not publish, sell, re-distribute, rent, lease or re-license any content
// contained in this source code and/or DLLs and/or other components of the SDK 
// without an explicit written permission agreement signed by MicroMighty, Inc.
//
// MicroMighty, Inc. reserves the right to permanently cancel without any warnings
// neither refund a license that is suspected of being used illegitimately or that
// violates the EULA (http://MicroMighty.com/Components/MicroMighty_SDK/EULA)
// --------------------------------------------------------------------------------

using System;
using System.Web.Security;
using System.Web;

public partial class Demo_EasyErrorHandler : System.Web.UI.Page
{
    #region Members

    public string _ipAddress;
    public string _errorURL;

    #endregion Members

    #region Events

    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        if (HttpContext.Current.Request != null)
        {
            if (!string.IsNullOrEmpty(HttpContext.Current.Request.UserHostAddress))
            {
                _ipAddress = HttpContext.Current.Request.UserHostAddress;
                if (_ipAddress == "::1") _ipAddress = "127.0.0.1";
            }
        }

        if (HttpContext.Current.Request.Url != null)
        {
            _errorURL = HttpContext.Current.Request.Url.ToString();
        }

    }

    #endregion Events
}