<%@ Application Language="C#" %>
<%@ Import Namespace="MicroMighty.SDK.Net.Tools" %>
<%@ Import Namespace="MicroMighty.SDK.Web.Tools" %>
<%@ Import Namespace="System.Net.Mail" %>

<script runat="server">
        
    /// <summary>
    /// Code that runs on application startup
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    void Application_Start(object sender, EventArgs e) 
    {
    }
    
    /// <summary>
    /// Code that runs on application shutdown
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    void Application_End(object sender, EventArgs e) 
    {
    }

    /// <summary>
    /// Code that runs when an unhandled error occurs
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    void Application_Error(object sender, EventArgs e)
    {
        EasyErrorHandler eeh = new EasyErrorHandler();
        
        if (eeh.ErrorReported)
        {
            EasyEmailSender ees = new EasyEmailSender();

            // Initialize SMTP variables in Web.config (User Name, Password etc.)
            ees.SMTPEnableSSL = Globals.EasyEmailSenderSMTPEnableSSL;
            ees.SMTPPort = Globals.EasyEmailSenderSMTPPort;
            ees.SMTPHost = Globals.EasyEmailSenderSMTPHost;
            ees.SMTPUserName = Globals.EasyEmailSenderSMTPUserName;
            ees.SMTPPassword = Globals.EasyEmailSenderSMTPPassword;

            // Add addressees
            ees.AddressFrom = new MailAddress("Sender@YourAddress.com", "Error Sender", ees.AddressEncoding);
            ees.AddressesTo.Add(new MailAddress("Support@YourAddress.com", "Support Team", ees.AddressEncoding));
            // To copy more addressees use ees.AddressesCC and ees.AddressesBCC
            
            // Send an email with the error details
            ees.Subject = "An Error on " + eeh.ErrorURL;
            ees.Body = eeh.ErrorDataHTML;
            ees.Send();

            // ToDo: (optional)
            // Log errors into a database table or save it as a physical XML file using ErrorDataXML
        }
    }

    /// <summary>
    /// Code that runs when a new session is started
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    void Session_Start(object sender, EventArgs e) 
    {
    }

    /// <summary>
    /// Code that runs when a session ends. 
    /// Note: The Session_End event is raised only when the sessionstate mode
    /// is set to InProc in the Web.config file. If session mode is set to StateServer 
    /// or SQLServer, the event is not raised.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    void Session_End(object sender, EventArgs e) 
    {
    }
       
</script>
